* {
	margin:0;
	padding:0
}
body {
	color:#586f76;
	font-family:Verdana,Arial,Helvetica,sans-serif,"微软雅黑";
	font-size:13px;
	line-height:1.8;
	background-size:cover;
	background-repeat: no-repeat;
	background-attachment: fixed;
}
a {
	text-align: center;
	color:#7444BB;
	text-decoration:none;
}
a:hover {
	color:hotpink;
}
img {
	border:0;
	border-radius:5px
}
li {
	list-style:none;
}
p {
	font-size:14px；
}
blockquote {
	border-radius:16px
}
.cnblogs_code {
	background-color:rgba(246,248,250,0.8)!important;
	border-radius:10px;
}
.cnblogs-markdown code {
	background-color:rgba(246,248,250,0.8)!important;
}
#tbCommentBody{
	background-color: none;
}
#cnblogs_post_body table,.cnblogs-post-body table {
	border-collapse:collapse;
	width:100%;
	margin-bottom:4px;
	margin-top:4px;
	border-radius:10px;
}
#cnblogs_post_body th,.cnblogs-post-body th {
	font-weight:bold;
	font-size:16px;
	background-color:rgba(246,248,250,0.8)!important;
}
#cnblogs_post_body tr:nth-child(2n),.cnblogs-post-body tr:nth-child(2n) {
	background-color:rgba(246,248,250,0.8)!important;
}
#home {
	margin:0 auto;
	text-align:left;
	max-width:1200px
}
#blogTitle {
	padding:16px;
	text-decoration:none;
}
.headermaintitle {
	font-size:18px;
	color:#963432;
}
#Header1_HeaderTitle {
	font-size:24px;
	color:#fff;
	background-image:-webkit-linear-gradient(50deg,rgba(128,150,255) 20%,hotpink 30%,rgba(128,150,255) 30%,mediumslateblue 20%,hotpink 20%);
	-webkit-text-fill-color:transparent;
	-webkit-background-clip:text;
	-webkit-background-size:200% 100%;
	-webkit-animation:masked-animation 1.5s infinite linear;
}
#blogTitle h2{
	color: #fff;
	background-image:-webkit-linear-gradient(230deg,rgba(128,150,255) 20%,hotpink 30%,rgba(128,150,255) 30%,mediumslateblue 20%,hotpink 20%);
	-webkit-text-fill-color:transparent;
	-webkit-background-clip:text;
	-webkit-background-size:210% 100%;
	-webkit-animation:masked-animation 1.5s infinite linear;
}
@-webkit-keyframes masked-animation {
0% {
	background-position: 0 0;
}
100% {
	background-position: -100% 0;
}
}
#blogTitle h2 {
	font-size:18px;
	font-family:Brush Script MT,serif,"微软雅黑";
}
#navigator {
	background:-webkit-linear-gradient(left,#ffdcb4,#b96972 25%,#e88a57 50%,#804170 75%,#a596cd);
	height:40px;
	line-height:40px;
	padding-left:15px;
	padding-right:5px;
	padding-top:2px;
	border-radius:8px;
	box-shadow:0px 0px 3px #FF69B4;
}
#navList {
	float:left;
}
#navList li {
	float:none;
	display:inline;
	margin-right:23px;
	font-size:16px;
	font-weight:bold;
}
#navList li a{
	color: white;
	text-shadow:0 -1 8px rgba(0,0,0,0.2);
}
#navList li a:hover{
	color:#fe4165;
}
div#navCategory blockquote {
	padding:20px;
	margin-bottom:25px;
	background-color:rgba(225,225, 225, 0.6);
	border-left:6px solid #b4b4b4;
	font-size:16px;
	font-weight:normal;
	line-height:30px;
}
.blogStats {
	float:right;
	color:white;
	margin-right:16px;
}
#mainContent {
	margin-left:auto;
	width:78%;
	float:right;
}
.forFlow {
	margin:auto;
}
.day {
	border:1px solid #FF69B4;
	border-radius:10px;
	margin:20px 0
}
.dayTitle {
	display:none;
}
.postTitle {
	margin-top: -1px;
	padding:10px 0 10px 20px;
	font-size:22px;
	font-weight:bold;
	text-shadow:0 -1px 8px rgba(0,0,0,0.4);
	background-color: rgba(20,20,20,0.3);
	border-radius:10px 10px 0px 0px;
	backdrop-filter: blur(3px);
}
.postCon {
	padding:20px 20px 20px;
	border-bottom:1px solid #ccc;
}
.postDesc,.entrylistItemPostDesc {
	margin:5px auto;
	color:white;
	text-align:right;
	text-shadow: 0px 1px 8px rgba(0,0,0,0.4);
}
.postDesc {
	margin: 0px;
	padding-right:20px;
	background-color: rgba(20,20,20,0.3);
	border-radius: 0px 0px 10px 10px;
	backdrop-filter: blur(3px);
}
.c_b_p_desc{
	margin-top: 1%;
	padding: 3px;
	height: 78px;
}
.entrylistItem,.PostList{
	height: 150px;
	padding:5px 3px;
	border-radius: 8px;
	margin:5px auto;
	background-color: rgba(255,255,255,0.2);
	border: 1px solid rgba(250,195,255,0.6);
	backdrop-filter: blur(3px);
}
.entrylistItem a,.PostList a{
	color:crimson;
}
.entrylistItem a:hover,.PostList a:hover{
	color:hotpink;
}
.entrylistItemPostDesc{
	padding-right: 5px;
	float:right inline-end;
	margin-right:16px;
}
#sideBar {
	width:20%;
	margin: 20px auto;
	float:left;
	padding:5px;
	background-color: rgba(255,255,255,0.2);
	border-radius: 10px;
	border:1px solid #FF69B4;
	backdrop-filter: blur(3px);
}
#sideBar h3,#MyIng .ing_title {
	margin:10px 0 10px 0;
	font-size:14px;
	text-align:center;
	padding-left:10px;
	border-radius:15px;
	box-shadow:0px 0px 3px #FF69B4
}
h3.catListTitle {
	color:#fff;
	background-color:rgba(255,223,255,0.3);
	text-shadow:0 -1px 5px rgba(0,0,0,0.4);
	backdrop-filter: blur(5px);
}
#calendar {
	margin-top:16px;
	text-align:center;
}
#footer {
	height:60px;
	line-height:60px;
	color:hotpink;
	text-align:center;
	padding:10px 5px 0 15px;
	border-radius:8px 8px 8px 8px;
}
.postBody {
	padding:10px 20px 10px;
	border-bottom:1px solid #d9dbe1;
	background-color:rgba(245,240,235,0.8);
	overflow: auto;
}
.feedbackItem {
	padding:8px;
	border-bottom:1px dotted #ccc;
}
.post {
	padding-top:1px;
	margin-top:20px;
	border:1px solid #FF69B4;
	border-radius:10px;
	//box-shadow:3px 3px 3px #888;
}
#cnblogs_post_body h1 h2 h3 h4 {
	margin:1em 0 .5em 0;
	font-weight:600;
	font-family:"Titillium Web",sans-serif;
	position:relative;
	line-height:40px;
	text-shadow:0 -1px 5px rgba(0,0,0,0.4);
	opacity:1;
}
#cnblogs_post_body h1 {
	color:#60145c;
	font-size:22px;
	border-bottom:2px solid rgba(53,86,129,0.3);
	text-shadow:0 -1px 5px rgba(0,0,0,0.4);
}
#cnblogs_post_body h2 {
	color:#60497c;
	font-size:20px;
	border-bottom:2px solid rgba(53,86,129,0.3);
	text-shadow:0 -1px 5px rgba(0,0,0,0.4);
}
#cnblogs_post_body h3 {
	font-size:18px;
	color:#346093;
	text-shadow:0 -1px 5px rgba(0,0,0,0.4);
}
#cnblogs_post_body h4 {
	font-size:16px;
	color:#78943a;
	text-shadow:0 -1px 5px rgba(0,0,0,0.4);
}
#cnblogs_post_body #signature {
	margin-top:20px;
	background-color:#aed7ed;
	border-radius:16px;
	padding:10px 20px 10px 20px;
	font-size:14px;
}
#div_digg {
	position:fixed;
	bottom:10px;
	right:15px;
	border:2px solid #FF69B4;
	padding:10px;
	width:140px;
	background-color:#f1f8ff;
	border-radius:5px 5px 5px 5px!important;
	box-shadow:0 0 0 1px #5f5a4b,1px 1px 6px 1px rgba(10,10,0,0.5);
}
#digg_count:after{
	content:"w";
}
.feedbackCon {
	padding-top:13px;
	padding-bottom:10px;
	background:transparent;
	margin-left:1em;
	color:#666;
	line-height:1.5;
}
.feedbackItem {
	padding:8px;
	border-bottom:1px dotted #ccc;
}
.body_right img {
	width:50px;
	height:50px;
	border-radius:8px;
	transition:all .5s ease-out;
	margin-right:20px;
	background-color:#f5f5f4;
	box-shadow:1px 1px 2px #586f76;
}
.feedbackManage {
	float:right;
}
.blog_comment_body {
	border:1px none #888;
	border-radius:15px;
	padding:10px;
	width:75%;
	box-shadow:1px 1px 2px #888;
	background:-webkit-linear-gradient(#dbd9cc,#f2f0e4);
	background:-o-linear-gradient(#dbd9cc,#f2f0e4);
	background:-moz-linear-gradient(#dbd9cc,#f2f0e4);
	background:linear-gradient(#dbd9cc,#f2f0e4);
}
.timeline-comment {
	position:relative;
	background-color:#fff;
	border:1px solid #d1d5da;
	border-radius:3px;
}
.feedback_area_title {
	font-size:18px;
	font-weight:600;
	color:#de6f64;
}
h1.entrylistTitle{
	color: #87D3F5;
	text-shadow:0 -1px 5px rgba(0,0,0,0.4);
}
div#EntryTag a {
	display:inline-block;
	padding:.3em .6em;
	margin:0 .5em .5em 0;
	white-space:nowrap;
	background-color:#f1f8ff;
	border-radius:8px
}
div#EntryTag a:hover {
	background-color:#ffebcc;
}
div#BlogPostCategory a {
	display:inline-block;
	padding:.3em .6em;
	margin:0 .5em .5em 0;
	white-space:nowrap;
	background-color:#f1f8ff;
	border-radius:8px;
}
div#BlogPostCategory a:hover {
	background-color:#ffebcc;
}
.c_ad_block {
	display:none;
}
#ad_t2 {
	display:none;
}
@media only screen and (max-width:736px) {
#navigator{
	background:red;
	width:90%;
	margin:auto;
	float:none;
}
#mainContent {
	width:90%;
	margin:auto;
	float:none;
}
#sideBar {
	width:90%;
	margin:auto;
	float:none;
}
.newsItem {
	display: none;
}
#sidebar_search {
	display:none;
}
#blogCalendar {
	display:none;
}
#blog-calendar {
	display:none;
	margin-top: 30px;
}
#sidebar_recentcomments {
	display:none;
}
#sidebar_topviewedposts {
	display:none;
}
#sidebar_topcommentedposts {
	display:none;
}
#sidebar_topdiggedposts {
	display:none;
}
}@media(min-width:600px) {
	.markdown-section pre>code {
	font-size:.9rem!important;
}
}@media(max-width:600px) {
	.markdown-section pre>code {
	padding-top:5px;
	padding-bottom:5px;
}
pre:after {
	content:""!important;
}
}@media(min-width:600px) {
	pre code {
	padding-left:20px!important;
}
}@media(max-width:600px) {
	pre {
	padding-left:0!important;
	padding-right:0!important;
	}
}
.cnblogs-markdown .hljs {
    display: block;
    overflow-x: auto;
    padding: 0.5em !important;
    font-size: 14px !important;
    background: #454545 !important;
    color: #FFF;
}
#sideBarMain ul{
	display: flex;
 	flex-direction: column;
 	justify-content: center;
}
#sideBarMain ul li{
	list-style: none;
 	margin: 0 auto;
}
.entrylistPosttitle{
	display: -webkit-box;
  -webkit-box-orient: horizontal;
  -webkit-box-pack: center;
  -webkit-box-align: center;
}
#sidebar_search{
	position:relative;
	margin-top:15px;
}
#widget_my_google{
	display: none;
	overflow: hidden;
}
#widget_my_zzk input[type="text"]{
	float:left;
	width:auto;
	border-radius: 10px;
	text-align:center;
	outline:0;
	border:1px solid hotpink;
	background-color:rgba(245,245,245,0.5);
	color:#fff;
}
#widget_my_zzk input[type="text"]:focus{
	outline:0;
	border:1px solid slateblue;
	background-color:rgba(20,20,20,0.41);
	place-content: none;
}
#widget_my_zzk input[type="button"]{
	outline:0;
	border: 1px solid hotpink;
	position: absolute;
	width: 65px;
	text-align: center;
	border-radius: 10px;
	color:#f0f0f0;
	background-color: rgba(245,245,245,0.5);
	-webkit-appearance: none;
}
#widget_my_zzk input[type="button"]:hover{
	background-color: rgba(20,20,20,0.2);
	border: 1px solid red;
	color:red;
}
.CalTodayDay{
	color:hotpink;
	text-shadow: 0 -1 5px rgba(0,0,0,0.2);
	background-color: rgba(20,20,20,0.31);
	border-radius: 5px;
}
.author_avatar{
	border-radius: 12px 12px 10px 10px;
}
.vertical-middle{
	position: relative;
}
.postTitl2{
	height: 70%;
	font-size: 24px;
	display: -webkit-box;
	-webkit-box-orient: horizontal;
	-webkit-box-align: center;
	-webkit-box-pack: center;
}
.postDesc2{
	color:#fff;
	float: right inline-end;
	margin-right: 16px;
	margin-bottom: 5px;
	display: -webkit-box;
	-webkit-box-orient: horizontal;
	-webkit-box-align: end;
	-webkit-box-pack: end;
}
.postDesc2,.postDesc2 span{
	text-shadow: 0px 1px 8px rgba(0,0,0,0.5);
}
::-webkit-scrollbar{
	-webkit-appearance: none;
	width: 10px;
	height: 10px;
}
::-webkit-scrollbar-track {
    background-color: rgba(20,20,20,0.31);
	border-radius: 10px;
}
::-webkit-scrollbar-thumb {
	background: #FEC5CC;
	border: 2px solid hotpink;
	border-radius: 10px;
}
::-webkit-scrollbar-thumb:hover{
	background: hotpink;
}
.newsItem > h3{
	display: none;
}
#sideBarMain div{
	color:white;
}